Bug 140281 - netfs starts gfs filesystems
Summary: netfs starts gfs filesystems
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: GFS Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 132991
TreeView+ depends on / blocked
 
Reported: 2004-11-22 00:40 UTC by John Newbigin
Modified: 2014-03-17 02:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-18 15:36:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
disable gfs in init.d/netfs (571 bytes, patch)
2004-11-23 22:45 UTC, Adam "mantis" Manthei
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:123 normal SHIPPED_LIVE initscripts bug fix update 2005-05-18 04:00:00 UTC

Description John Newbigin 2004-11-22 00:40:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.7.3)
Gecko/20040910

Description of problem:
the netfs init script from initscripts starts gfs filesystems.  This
causes 2 problems.
1. If you don't want to start GFS then you can't have other network
filesystems
2. It does not stop GFS filesystems so you still need the gfs script.

I think the bug belongs in initscripts but it only becomes a bug if
you use GFS so I am entering it here.


Version-Release number of selected component (if applicable):
GFS-6.0.0-15

How reproducible:
Always

Steps to Reproduce:
1. Add this to /etc/fstab
/dev/pool/storage00     /mnt/gfs1               gfs     defaults     
  0 0
2. reboot or run service netfs start
3.
    

Actual Results:  netfs mounts gfs filesystems

Expected Results:  netfs should ignore gfs filesystems and leave them
for the gfs script.

Additional info:

My quick fix:
perl -pi -e "s|nonfs,smbfs,ncpfs$|nonfs,smbfs,ncpfs,gfs|"
/etc/rc.d/init.d/netfs

A better solution would have a config file for netfs which gfs can
update if/when it is required (ie when you install the GFS rpm).

Comment 1 Ken Preslan 2004-11-22 17:17:39 UTC
Not the init script maintainer.



Comment 2 Adam "mantis" Manthei 2004-11-23 21:42:40 UTC
> A better solution would have a config file for netfs which gfs can
> update if/when it is required (ie when you install the GFS rpm).

Do you mean like /etc/fstab?

If you don't want GFS to get mounted by the initscripts, you can
specify "noauto" as a filesystem option in /etc/fstab.

You are correct that netfs is mounting too many filesystems.  I
thought that netfs had been updated to ignore gfs filesystems (it
should have been updated).

Comment 3 Adam "mantis" Manthei 2004-11-23 22:43:12 UTC
Applying the following patch (as jn it.swin.edu.au pointed out) ought
to resolve the issue:

diff -u init.d.orig/netfs init.d/netfs
--- init.d.orig/netfs   2004-11-23 16:41:35.000000000 -0600
+++ init.d/netfs        2004-11-23 16:40:55.000000000 -0600
@@ -38,7 +38,7 @@
         [ -n "$SMBFSTAB" ] && action $"Mounting SMB filesystems: "
mount -a -t smbfs
         [ -n "$NCPFSTAB" ] && action $"Mounting NCP filesystems: "
mount -a -t ncpfs
        touch /var/lock/subsys/netfs
-       action $"Mounting other filesystems: " mount -a -t
nonfs,smbfs,ncpfs
+       action $"Mounting other filesystems: " mount -a -t
nonfs,smbfs,ncpfs,gfs
        ;;
   stop)
         # Unmount loopback stuff first


Comment 4 Adam "mantis" Manthei 2004-11-23 22:45:22 UTC
Created attachment 107352 [details]
disable gfs in init.d/netfs

Comment 8 Tim Powers 2005-05-18 15:36:01 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-123.html



Note You need to log in before you can comment on or make changes to this bug.